LinHES - Bug # 24: Detects DVICO remote, but it doesnt work.

Status: Closed Priority: Normal

Author: GregFrost Category:

Created: 11/22/2008 Assignee: jams

Updated: 12/25/2011 Due date: 12/31/1969

Description: When the CD boots, it seems to detect that there is a DVICO remote connected to the system, but the remote

doesnt work when it gets to the menus. lircd is running with the following arguments:
lircd -d /dev/lircO

Normally for the DVICO remote (on R5.5) it runs as follows:

lircd -d /dev/usb/hiddev0 --driver=dvico

If | stop lircd and run lircd as above, irw can detect the dvico remote key presses.

History

11/22/2008 11:00 pm - GregFrost

The following messages appear in the console during startup:

Scanning for usb receiver/remote

found dvico

cp: cannot stat “lircrc*': No such file or directory

chmod: cannot access “/etc/lircrc': No such file or directory

11/29/2008 03:09 pm - jams

Dvico remote is now a special case and should now start with hiddevO as the device.
Also cleaned up console error messages as reported.

02/21/2009 12:59 am - GregFrost

It now (.06) starts as "lircd -d /dev/usb/hiddev0" but it still does not work. The lircd command also needs --driver=dvico so that it looks like this:
/usr/sbin/lircd -d /dev/usb/hiddev0 --driver=dvico

Note that there are two dashes before the driver=dvico arg, only one seems to show up in flyspray though.

| have also attached a preview image for the dvico remote.

| have also attached a lircrc file for the remote, because it wont work in the installer without it!

02/26/2009 05:28 pm - jams
updated lirc to use --driver=dvico. Will add the new lircrc and picture later.

04/25/2009 02:58 pm - brfransen
Funny, my Fusion look like the attached.

Also, because of other USB devices sometime the remote won't be hiddev0 so | added the attached dvicolR.rules file to /etc/udev/rules.d/ and changed
the line in /etc/sv/lircd/run that launches lircd to /dev/usb/dvicolR.

05/02/2009 01:27 am - GregFrost
Yeah. There are two versions. If you look at the lircd.conf, you will see two separate remote definitions. The picture | posted was the original. The

picture you showed is the more recent model.

05/02/2009 02:32 am - brfransen

| know the rules file | posted will work with the model | have. Can you test it to make sure it works with the original version?
05/22/2009 09:38 pm - GregFrost
Britney: That rule works fine for my original style dvico remote. Not sure what package the rule should go in, but the lircd/run script is in the runit-scripts

package.

05/29/2009 11:42 pm - GregFrost
updated lirc package to install the udev rule and runit-scripts to use the symlink created by the rule.

12/25/2011 03:10 pm - jams
- Target version changed from 8.0 to 6.00.04

Files

FusionRemote.jpg 29.1 kB 02/21/2009 admin
lircrc 9.2 kB 02/21/2009 admin
FusionRemote.jpg 38.7 kB 04/25/2009 admin
dvicolR.rules 175 Bytes 04/25/2009 admin
